Subject: Re: Upgrading Guix packages website in Guix infrastructure

From: Christopher Baines <[email-masked]>
Date: Mon, 11 Nov 2024 09:11:06 +0000

Luis Felipe <[email-masked]> writes:

> On 4/11/24 22:12, Ludovic Courtès wrote:
>> Hello,
>>
>> Luis Felipe <[email-masked]> skribis:
>>
>>> Hi guix,
>>>
>>> The software behind https://packages.guix.gnu.org/, Guix Packages
>>> Website,¹ has been updated with the following changes:
>> Yay!
>>
>> Could you send a patch against this:
>>
>>    https://git.savannah.gnu.org/cgit/guix/maintenance.git/tree/hydra/modules/sysadmin/services.scm#n1172
>>
>> ?  (You’re best positioned to know whether the snippet there is now
>> obsolete.)
>>
>> You should be able to check in ‘guix system vm’ whether this works as
>> expected, either with ‘bayfront.scm’ (but you’ll need to comment out
>> things like networking setup), or maybe with something like
>> ‘bare-bones.tmpl’ extended with the guix-packages-website service.
>
> Just to let you all know that I made the changes and checked in a VM
> (with a custom OS config) that the service runs correctly.
>
>  * herd status reported that the service was up and running.
>  * I could access the website from Emacs Web Browser (non graphical
>    client) and it worked correctly: index page shows random packages, I
>    can search for packages, package and product pages load correctly
>    and external links take to expected locations.
>  * I also checked the same pages from Qutebrowser (graphical client).
>
>
>> Once we have that, one of us sysadmins can redeploy it.
>
> I sent the patch to https://issues.guix.gnu.org/74240.

I've pushed this now and the site looks to have updated.

Thanks,

Chris